org.apache.hadoop.yarn.exceptions

## Class InvalidContainerReleaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.yarn.exceptions.YarnException
      - - org.apache.hadoop.yarn.exceptions.InvalidContainerReleaseException

- All Implemented Interfaces:
    Serializable

      public class InvalidContainerReleaseException
      extends YarnException

  This exception is thrown when an Application Master tries to release containers not belonging to it using `ApplicationMasterProtocol.allocate(AllocateRequest)` API.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidContainerReleaseException(String message)`
    `InvalidContainerReleaseException(String message, Throwable cause)`
    `InvalidContainerReleaseException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidContainerReleaseException

          public InvalidContainerReleaseException(Throwable cause)

    - #### InvalidContainerReleaseException

          public InvalidContainerReleaseException(String message)

    - #### InvalidContainerReleaseException

          public InvalidContainerReleaseException(String message,
                                                  Throwable cause)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.